Page MenuHomePhabricator

dirstate: move dropping of folded filenames into the dirstate map
ClosedPublic

Authored by mbthomas on Nov 8 2017, 12:31 PM.

Details

Summary

When dropping files from the dirstate, the corresponding entry in the
filefoldmap is also dropped. Move this into the dirstate map object. A future
implementation of the dirstate will maintain the filefoldmap differently.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mbthomas created this revision.Nov 8 2017, 12:31 PM
mbthomas updated this revision to Diff 3440.Nov 13 2017, 7:18 AM
durin42 accepted this revision.Nov 13 2017, 5:46 PM
This revision is now accepted and ready to land.Nov 13 2017, 5:46 PM

btw I'm dubious of the 'filefoldmap' in self.dict checks, as that very much looks like it should be an invariant now

The filefoldmap (and dirfoldmap) are still @propertycached. They only ever get accessed on systems with case insensitive filesystems, and so will often not be there at all.

mbthomas updated this revision to Diff 3517.Nov 15 2017, 4:08 AM
durin42 accepted this revision.Nov 17 2017, 5:22 PM
This revision was automatically updated to reflect the committed changes.